query listWorkforce @auth(level: USER) {
  workforces {
    id
    workforceNumber
    vendorId
    firstName
    lastName
    employmentType
  }
}

query getWorkforceById(
  $id: UUID!
) @auth(level: USER) {
  workforce(id: $id) {
    id
    workforceNumber
    vendorId
    firstName
    lastName
    employmentType
  }
}

query filterWorkforce(
  $workforceNumber: String,
  $vendorId: UUID,
  $firstName: String,
  $lastName: String,
  $employmentType: WorkforceEmploymentType
) @auth(level: USER) {
  workforces(
    where: {
      workforceNumber: { eq: $workforceNumber }
      vendorId: { eq: $vendorId }
      firstName: { eq: $firstName }
      lastName: { eq: $lastName }
      employmentType: { eq: $employmentType }
    }
  ) {
    id
    workforceNumber
    vendorId
    firstName
    lastName
    employmentType
  }
}
